Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225821 - gfal2-python: FTBFS in Fedora rawhide/f39
Summary: gfal2-python: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gfal2-python
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mihai Patrascoiu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:42 UTC by Fedora Release Engineering
Modified: 2023-09-14 02:22 UTC (History)
3 users (show)

Fixed In Version: gfal2-python-1.12.1-1.fc39 gfal2-python-1.12.1-1.el9 gfal2-python-1.12.1-1.fc37 gfal2-python-1.12.1-1.fc38 gfal2-python-1.12.1-1.el7 gfal2-python-1.12.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-06 23:39:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:42 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:42 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:42 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:42:39 UTC
gfal2-python failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103577937


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix gfal2-python at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gfal2-python will be orphaned. Before branching of Fedora 40,
gfal2-python will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:42:45 UTC
Created attachment 1977936 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 17:42:49 UTC
Created attachment 1977937 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:42:53 UTC
Created attachment 1977938 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:56:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Admin user for bugzilla script actions 2023-09-05 00:09:55 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 6 Fedora Admin user for bugzilla script actions 2023-09-05 12:09:13 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Update System 2023-09-05 14:09:26 UTC
FEDORA-2023-28c52e2286 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-28c52e2286

Comment 8 Fedora Update System 2023-09-05 14:09:33 UTC
FEDORA-EPEL-2023-2be6bcec80 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-2be6bcec80

Comment 9 Fedora Update System 2023-09-05 14:09:38 UTC
FEDORA-EPEL-2023-90a72aec28 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-90a72aec28

Comment 10 Fedora Update System 2023-09-05 14:09:44 UTC
FEDORA-2023-d1deda41a0 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d1deda41a0

Comment 11 Fedora Update System 2023-09-05 14:09:49 UTC
FEDORA-2023-2662c07ea8 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2662c07ea8

Comment 12 Fedora Update System 2023-09-05 14:09:55 UTC
FEDORA-EPEL-2023-17a991d1c5 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-17a991d1c5

Comment 13 Mihai Patrascoiu 2023-09-05 14:41:15 UTC
CMake files wouldn't find the latest Python 3.12.

Fixed in upstream release v1.12.1.
Also deployed to epel-testing.

Comment 14 Fedora Update System 2023-09-06 00:23:44 UTC
FEDORA-EPEL-2023-2be6bcec80 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-2be6bcec80

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-09-06 01:24:27 UTC
FEDORA-2023-28c52e2286 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-28c52e2286`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-28c52e2286

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-09-06 01:32:57 UTC
FEDORA-2023-2662c07ea8 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2662c07ea8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2662c07ea8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-09-06 02:15:42 UTC
FEDORA-2023-d1deda41a0 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d1deda41a0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d1deda41a0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2023-09-06 02:22:11 UTC
FEDORA-EPEL-2023-17a991d1c5 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-17a991d1c5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2023-09-06 02:31:29 UTC
FEDORA-EPEL-2023-90a72aec28 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-90a72aec28

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2023-09-06 23:39:15 UTC
FEDORA-2023-2662c07ea8 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2023-09-14 00:32:06 UTC
FEDORA-EPEL-2023-2be6bcec80 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2023-09-14 00:43:15 UTC
FEDORA-2023-d1deda41a0 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2023-09-14 01:27:51 UTC
FEDORA-2023-28c52e2286 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2023-09-14 02:20:18 UTC
FEDORA-EPEL-2023-17a991d1c5 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2023-09-14 02:22:59 UTC
FEDORA-EPEL-2023-90a72aec28 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.